{ config, pkgs, lib, ... }:
let
  domain = "rss.home.feal.no";
  listen_addr = "127.0.1.2:5051";
in {
  sops.secrets."miniflux/env" = { };

  services.miniflux = {
    enable = true;
    adminCredentialsFile = config.sops.secrets."miniflux/env".path;
    config = {
      CREATE_ADMIN = "1";

      LISTEN_ADDR = listen_addr;
      BASE_URL = "http://${domain}";
    };
  };

  services.nginx.virtualHosts."${domain}" = {
    locations."/".proxyPass = "http://${listen_addr}";
  };
}

